Package org.jboss.resteasy.security.doseta.i18n

## Class Messages_$bundle

- java.lang.Object
- - org.jboss.resteasy.security.doseta.i18n.Messages_$bundle

- All Implemented Interfaces:
    `Serializable`, `Messages`

      @Generated(value="org.jboss.logging.processor.generator.model.MessageBundleImplementor",
                 date="2021-10-01T14:27:04-0700")
      public class Messages_$bundle
      extends Object
      implements Messages, Serializable

  Warning this class consists of generated code.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static Messages_$bundle` | `INSTANCE` |

    - ### Fields inherited from interface org.jboss.resteasy.security.doseta.i18n.Messages

      `BASE, MESSAGES`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor | Description
    --- | --- | ---
    `protected` | `Messages_$bundle()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `bodyHashesDoNotMatch()` |
    `protected String` | `bodyHashesDoNotMatch$str()` |
    `String` | `certificateNorPublicKeySet()` |
    `protected String` | `certificateNorPublicKeySet$str()` |
    `String` | `certificateObjectNotSet()` |
    `protected String` | `certificateObjectNotSet$str()` |
    `String` | `checkDNS​(String alias)` |
    `protected String` | `checkDNS$str()` |
    `String` | `couldNotFindMessageBodyReader​(String className)` |
    `protected String` | `couldNotFindMessageBodyReader$str()` |
    `String` | `couldNotFindPublicKey​(DKIMSignature signature)` |
    `protected String` | `couldNotFindPublicKey$str()` |
    `String` | `dnsRecordFound​(String record)` |
    `protected String` | `dnsRecordFound$str()` |
    `String` | `domainAttributeIsRequired()` |
    `protected String` | `domainAttributeIsRequired$str()` |
    `String` | `expectedValue​(String expectedValue, String value, String attribute)` |
    `protected String` | `expectedValue$str()` |
    `String` | `failedToFindPublicKey​(String alias)` |
    `protected String` | `failedToFindPublicKey$str()` |
    `String` | `failedToFindWriter​(String className)` |
    `protected String` | `failedToFindWriter$str()` |
    `String` | `failedToParseBodyHash()` |
    `protected String` | `failedToParseBodyHash$str()` |
    `String` | `failedToSign()` |
    `protected String` | `failedToSign$str()` |
    `String` | `failedToVerifySignature()` |
    `protected String` | `failedToVerifySignature$str()` |
    `String` | `failedToVerifySignatures()` |
    `protected String` | `failedToVerifySignatures$str()` |
    `protected Locale` | `getLoggingLocale()` |
    `String` | `malformedSignatureHeader​(String signature)` |
    `protected String` | `malformedSignatureHeader$str()` |
    `String` | `noKeyToVerifyWith()` |
    `protected String` | `noKeyToVerifyWith$str()` |
    `String` | `noPEntry()` |
    `protected String` | `noPEntry$str()` |
    `String` | `pem​(String pem)` |
    `protected String` | `pem$str()` |
    `String` | `privateKeyIsNull()` |
    `protected String` | `privateKeyIsNull$str()` |
    `String` | `publicKeyIsNull()` |
    `protected String` | `publicKeyIsNull$str()` |
    `protected Object` | `readResolve()` |
    `String` | `signatureExpired()` |
    `protected String` | `signatureExpired$str()` |
    `String` | `signatureIsStale()` |
    `protected String` | `signatureIsStale$str()` |
    `String` | `thereWasNoBodyHash()` |
    `protected String` | `thereWasNoBodyHash$str()` |
    `String` | `thereWasNoSignatureHeader​(String signature)` |
    `protected String` | `thereWasNoSignatureHeader$str()` |
    `String` | `unableToFindHeader​(String header, String index)` |
    `protected String` | `unableToFindHeader$str()` |
    `String` | `unableToFindKey()` |
    `protected String` | `unableToFindKey$str()` |
    `String` | `unableToFindKeyStore​(String path)` |
    `protected String` | `unableToFindKeyStore$str()` |
    `String` | `unableToLocatePrivateKey()` |
    `protected String` | `unableToLocatePrivateKey$str()` |
    `String` | `unsupportedAlgorithm​(String algorithm)` |
    `protected String` | `unsupportedAlgorithm$str()` |
    `String` | `unsupportedKeyType​(String type)` |
    `protected String` | `unsupportedKeyType$str()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### INSTANCE

          public static final Messages_$bundle INSTANCE

  - ### Constructor Detail

    - #### Messages_$bundle

          protected Messages_$bundle()

  - ### Method Detail

    - #### readResolve

          protected Object readResolve()

    - #### getLoggingLocale

          protected Locale getLoggingLocale()

    - #### bodyHashesDoNotMatch$str

          protected String bodyHashesDoNotMatch$str()

    - #### bodyHashesDoNotMatch

          public final String bodyHashesDoNotMatch()

      Specified by:
        `bodyHashesDoNotMatch` in interface `Messages`

    - #### certificateNorPublicKeySet$str

          protected String certificateNorPublicKeySet$str()

    - #### certificateNorPublicKeySet

          public final String certificateNorPublicKeySet()

      Specified by:
        `certificateNorPublicKeySet` in interface `Messages`

    - #### certificateObjectNotSet$str

          protected String certificateObjectNotSet$str()

    - #### certificateObjectNotSet

          public final String certificateObjectNotSet()

      Specified by:
        `certificateObjectNotSet` in interface `Messages`

    - #### checkDNS$str

          protected String checkDNS$str()

    - #### checkDNS

          public final String checkDNS​(String alias)

      Specified by:
        `checkDNS` in interface `Messages`

    - #### couldNotFindMessageBodyReader$str

          protected String couldNotFindMessageBodyReader$str()

    - #### couldNotFindMessageBodyReader

          public final String couldNotFindMessageBodyReader​(String className)

      Specified by:
        `couldNotFindMessageBodyReader` in interface `Messages`

    - #### couldNotFindPublicKey$str

          protected String couldNotFindPublicKey$str()

    - #### couldNotFindPublicKey

          public final String couldNotFindPublicKey​(DKIMSignature signature)

      Specified by:
        `couldNotFindPublicKey` in interface `Messages`

    - #### dnsRecordFound$str

          protected String dnsRecordFound$str()

    - #### dnsRecordFound

          public final String dnsRecordFound​(String record)

      Specified by:
        `dnsRecordFound` in interface `Messages`

    - #### domainAttributeIsRequired$str

          protected String domainAttributeIsRequired$str()

    - #### domainAttributeIsRequired

          public final String domainAttributeIsRequired()

      Specified by:
        `domainAttributeIsRequired` in interface `Messages`

    - #### expectedValue$str

          protected String expectedValue$str()

    - #### expectedValue

          public final String expectedValue​(String expectedValue,
                                            String value,
                                            String attribute)

      Specified by:
        `expectedValue` in interface `Messages`

    - #### failedToFindPublicKey$str

          protected String failedToFindPublicKey$str()

    - #### failedToFindPublicKey

          public final String failedToFindPublicKey​(String alias)

      Specified by:
        `failedToFindPublicKey` in interface `Messages`

    - #### failedToFindWriter$str

          protected String failedToFindWriter$str()

    - #### failedToFindWriter

          public final String failedToFindWriter​(String className)

      Specified by:
        `failedToFindWriter` in interface `Messages`

    - #### failedToParseBodyHash$str

          protected String failedToParseBodyHash$str()

    - #### failedToParseBodyHash

          public final String failedToParseBodyHash()

      Specified by:
        `failedToParseBodyHash` in interface `Messages`

    - #### failedToSign$str

          protected String failedToSign$str()

    - #### failedToSign

          public final String failedToSign()

      Specified by:
        `failedToSign` in interface `Messages`

    - #### failedToVerifySignature$str

          protected String failedToVerifySignature$str()

    - #### failedToVerifySignature

          public final String failedToVerifySignature()

      Specified by:
        `failedToVerifySignature` in interface `Messages`

    - #### failedToVerifySignatures$str

          protected String failedToVerifySignatures$str()

    - #### failedToVerifySignatures

          public final String failedToVerifySignatures()

      Specified by:
        `failedToVerifySignatures` in interface `Messages`

    - #### malformedSignatureHeader$str

          protected String malformedSignatureHeader$str()

    - #### malformedSignatureHeader

          public final String malformedSignatureHeader​(String signature)

      Specified by:
        `malformedSignatureHeader` in interface `Messages`

    - #### noKeyToVerifyWith$str

          protected String noKeyToVerifyWith$str()

    - #### noKeyToVerifyWith

          public final String noKeyToVerifyWith()

      Specified by:
        `noKeyToVerifyWith` in interface `Messages`

    - #### noPEntry$str

          protected String noPEntry$str()

    - #### noPEntry

          public final String noPEntry()

      Specified by:
        `noPEntry` in interface `Messages`

    - #### pem$str

          protected String pem$str()

    - #### pem

          public final String pem​(String pem)

      Specified by:
        `pem` in interface `Messages`

    - #### privateKeyIsNull$str

          protected String privateKeyIsNull$str()

    - #### privateKeyIsNull

          public final String privateKeyIsNull()

      Specified by:
        `privateKeyIsNull` in interface `Messages`

    - #### publicKeyIsNull$str

          protected String publicKeyIsNull$str()

    - #### publicKeyIsNull

          public final String publicKeyIsNull()

      Specified by:
        `publicKeyIsNull` in interface `Messages`

    - #### signatureExpired$str

          protected String signatureExpired$str()

    - #### signatureExpired

          public final String signatureExpired()

      Specified by:
        `signatureExpired` in interface `Messages`

    - #### signatureIsStale$str

          protected String signatureIsStale$str()

    - #### signatureIsStale

          public final String signatureIsStale()

      Specified by:
        `signatureIsStale` in interface `Messages`

    - #### thereWasNoBodyHash$str

          protected String thereWasNoBodyHash$str()

    - #### thereWasNoBodyHash

          public final String thereWasNoBodyHash()

      Specified by:
        `thereWasNoBodyHash` in interface `Messages`

    - #### thereWasNoSignatureHeader$str

          protected String thereWasNoSignatureHeader$str()

    - #### thereWasNoSignatureHeader

          public final String thereWasNoSignatureHeader​(String signature)

      Specified by:
        `thereWasNoSignatureHeader` in interface `Messages`

    - #### unableToFindHeader$str

          protected String unableToFindHeader$str()

    - #### unableToFindHeader

          public final String unableToFindHeader​(String header,
                                                 String index)

      Specified by:
        `unableToFindHeader` in interface `Messages`

    - #### unableToFindKey$str

          protected String unableToFindKey$str()

    - #### unableToFindKey

          public final String unableToFindKey()

      Specified by:
        `unableToFindKey` in interface `Messages`

    - #### unableToFindKeyStore$str

          protected String unableToFindKeyStore$str()

    - #### unableToFindKeyStore

          public final String unableToFindKeyStore​(String path)

      Specified by:
        `unableToFindKeyStore` in interface `Messages`

    - #### unableToLocatePrivateKey$str

          protected String unableToLocatePrivateKey$str()

    - #### unableToLocatePrivateKey

          public final String unableToLocatePrivateKey()

      Specified by:
        `unableToLocatePrivateKey` in interface `Messages`

    - #### unsupportedAlgorithm$str

          protected String unsupportedAlgorithm$str()

    - #### unsupportedAlgorithm

          public final String unsupportedAlgorithm​(String algorithm)

      Specified by:
        `unsupportedAlgorithm` in interface `Messages`

    - #### unsupportedKeyType$str

          protected String unsupportedKeyType$str()

    - #### unsupportedKeyType

          public final String unsupportedKeyType​(String type)

      Specified by:
        `unsupportedKeyType` in interface `Messages`